package vo

import "demo/data/domain"

type ShopAdviceVo struct {
	Carousels   []domain.ShopAdviceCarousel `json:"carousels"`
	PackageList []AdviceSku                 `json:"packageList"`
}

type AdviceSku struct {
	ShopAdviceCarousel domain.ShopAdviceCarousel `xorm:"extends" json:"shopAdviceCarousel"`
	GoodsSku           domain.GoodsSku           `xorm:"extends" json:"goodsSku"`
}

func (a AdviceSku) String() string {
	return a.ShopAdviceCarousel.String() + a.GoodsSku.String()
}

func (s ShopAdviceVo) String() string {
	return s.Carousels[0].String() + s.PackageList[0].String()
}
